Bug 8540 - [UPDATE REQUEST] hw-probe 1.3: more logs, support for NVMe drives, offline collections of probes, etc.
: [UPDATE REQUEST] hw-probe 1.3: more logs, support for NVMe drives, offline co...
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-04 00:32 MSK by Andrey Ponomarenko
Modified: 2017-12-12 14:37 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
andrey.bondrov: qa_verified?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Ponomarenko 2017-12-04 00:32:29 MSK
Advisory: HW Probe Tool (hw-probe) was updated to 1.3 version.

Changes since 1.1:

1. Detecting NVMe drives
2. Create offline collections of probes with -import option
3. Collecting logs in C.UTF-8 locale
4. Added probes: vulkaninfo, iostat, vainfo, uptime, memtester, cpuinfo, i2cdetect, numactl and lsinitrd
5. Made -dump-acpi and -decode-acpi public options
6. Fixed detection of computer vendor/model
7. Fixed detection of HWid
8. Fixed collecting of X11 logs
9. Fixed hdparm, smartctl and xdpyinfo logs

Build lists:
https://abf.io/build_lists/2914291 (x86_64)
https://abf.io/build_lists/2914290 (i586)


Advisory: HW Probe GUI (hw-probe-gui) was updated to 1.3 version.

Changes since 1.1:

1. Uses HW Probe 1.3
2. Prints public probe URL only

Build lists:
https://abf.io/build_lists/2914292 (x86_64)
https://abf.io/build_lists/2914293 (i586)
Comment 1 Vladimir Potapov 2017-12-08 07:41:43 MSK
The update is sent to expanded testing
*************************************
Comment 2 Vladimir Potapov 2017-12-12 09:24:43 MSK
hw-probe [tab] don't show options help
man hw-probe
Нет справочной страницы для hw-probe
Comment 3 Vladimir Potapov 2017-12-12 09:29:28 MSK
Log: iostat
sh: iostat: команда не найдена

maybe add sysstat to requirements?
Comment 4 Vladimir Potapov 2017-12-12 09:44:52 MSK
vainfo logs not found without vainfo
I suggest add libva-utils to requirements(In reply to comment #3)
> Log: iostat
> sh: iostat: команда не найдена
> 
> maybe add sysstat to requirements?
and cpuinfo, memtester, i2c-tools, numactl
Comment 5 Andrey Ponomarenko 2017-12-12 11:01:45 MSK
(In reply to comment #2)
> hw-probe [tab] don't show options help
> man hw-probe
> Нет справочной страницы для hw-probe

There is a '-h' option for this.
Comment 6 Andrey Ponomarenko 2017-12-12 11:04:06 MSK
(In reply to comment #3)
> Log: iostat
> sh: iostat: команда не найдена
> 
> maybe add sysstat to requirements?

Forgot to check if this command exists. Fixed for 1.4. Server-side hw-probe will remove this empty log automatically on upload.

Thank you.
Comment 7 Andrey Ponomarenko 2017-12-12 14:37:54 MSK
Advisory: HW Probe Tool (hw-probe) was updated to 1.3 version in rosa2014.1.

Build lists:

https://abf.io/build_lists/2914818 (x86_64)
https://abf.io/build_lists/2914817 (i586)

Advisory: HW Probe GUI (hw-probe-gui) was updated to 1.3 version in rosa2014.1.

Build lists:

https://abf.io/build_lists/2914820 (x86_64)
https://abf.io/build_lists/2914819 (i586)